"use strict";
module.exports = {
    env: {
        browser: true,
        es2021: true,
        es6: true,
        jest: true,
    },
    parserOptions: {
        ecmaVersion: 13,
        sourceType: "module",
        project: true,
        ecmaFeatures: {
            generators: false,
            objectLiteralDuplicateProperties: false,
        },
    },
    extends: ["eslint:recommended", "plugin:@typescript-eslint/recommended"],
    parser: "@typescript-eslint/parser",
    plugins: ["@typescript-eslint"],
    root: true,
    rules: {
        "linebreak-style": [
            "error",
            process.platform === "win32" ? "windows" : "unix",
        ],
        "@typescript-eslint/ban-ts-comment": "off",
        "@typescript-eslint/no-unused-vars": "error",
        "@typescript-eslint/explicit-function-return-type": "off",
        "@typescript-eslint/explicit-module-boundary-types": "off",
        "@typescript-eslint/no-empty-function": "off",
        "@typescript-eslint/no-explicit-any": "off",
        "@typescript-eslint/ban-types": "off",
    },
};
